ECADC(4)

NAME
ecadc - environmental monitoring subsystem temperature sensor

SYNOPSIS
ecadc* at iic?

DESCRIPTION
The ecadc driver supports the PCF8591 I2C analog to digital converter that is part of the environmental monitoring subsystem found on the Sun Enterprise 250 and Sun Enterprise 450 systems. The temperature readings are made available through the sysctl(8) interface.

The driver reads up to four A/D lines configured as temperature inputs. Sensor names, type and calibration information are read from OpenFirmware.

SEE ALSO
iic(4), intro(4), pcfadc(4), sensorsd(8), sysctl(8)

HISTORY
The ecadc driver first appeared in OpenBSD 4.3.

AUTHORS
-nosplit The ecadc driver was written by Mark Kettenis <kettenis@openbsd.org> based on the pcfadc(4) driver written by Damien Miller <djm@openbsd.org>.